# weex-lite-app
A Simple app for me to study weex based on weex sdk

### 使用方法
* 安装编译：
``` shell
npm install

npm run start

npm run build:prod
```

### 详情
#### 使用Weex加速开发
1. Weex拥有和ReactNative类似的特点：跨平台，执行效率高，可动态更新
2. Weex也有他的局限：支持的控件和模块有限，需要自己扩展。相对于H5，可用的功能也有限
3. 使用Weex打造自己的小程序平台，有空就持续更新

#### 快速体验
1. 使用[Weex playground](http://weex-project.io/tools/playground.html)扫描二维码体验(并不完全支持所有功能)
2. 可以下载我的[WeexApp体验(类似于Weex playground)](https://github.com/huzongyao/WeexAppFrame)(推荐)

![image](https://github.com/huzongyao/weex-lite-app/blob/master/misc/qr_splash_page.png?raw=true)

3. js打包入口地址：https://huzongyao.github.io/weex-lite-app/assets/splash-page.js
4. 由于目前bui-weex目前不支持web方式，所以只能用客户端体验。
5. 为了节约打包时间，在entry目录下一些暂时不需要调试的js放到了entry_目录下，如果需要全部重打包需要先移出来

#### screenshot
* 截图展示
![screenshot](https://github.com/huzongyao/weex-lite-app/blob/master/misc/screenshot.jpg?raw=true)

#### 数据接口
* 之乎日报：http://daily.zhihu.com/
* GankIO：http://gank.io/
* 推库：https://www.tuicool.com
* 裹壳：https://www.guokr.com/
* 河汛网：http://www.hexun.com/
* 网亦新闻：https://news.163.com/

### 相关链接：
 1. weex：http://weex-project.io/cn/references/
 2. bui-weex: http://dev.bingocc.com/buiweex/docs/
 3. bui-weex-sample示例库 https://github.com/bingo-oss/bui-weex-sample
 4. weex-ui: https://alibaba.github.io/weex-ui/#/

### 声明
本项目仅用于学习使用，项目中使用到的开源类库和第三方数据接口均来源于网络，若侵犯了您的权益，请联系我下架。

### About Me
 * GitHub: [http://huzongyao.github.io/](http://huzongyao.github.io/)
 * ITEye博客：[http://hzy3774.iteye.com/](http://hzy3774.iteye.com/)
 * 新浪微博: [http://weibo.com/hzy3774](http://weibo.com/hzy3774)

### Contact To Me
 * QQ: [377406997](http://wpa.qq.com/msgrd?v=3&uin=377406997&site=qq&menu=yes)
 * Gmail: [hzy3774@gmail.com](mailto:hzy3774@gmail.com)
 * Foxmail: [hzy3774@qq.com](mailto:hzy3774@qq.com)
